Bug 1017614 - AttributeError: 'F19_Method' object has no attribute 'proxy'
AttributeError: 'F19_Method' object has no attribute 'proxy'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
David Shea
abrt_hash:20f1df66068f2f46a22f556bfe2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 04:55 EDT by A.J. Werkman
Modified: 2013-10-15 02:35 EDT (History)
9 users (show)

See Also:
Fixed In Version: anaconda-20.25-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-15 02:35:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (385.66 KB, text/plain)
2013-10-10 04:56 EDT, A.J. Werkman
no flags Details
File: anaconda.log (12.35 KB, text/plain)
2013-10-10 04:56 EDT, A.J. Werkman
no flags Details
File: environ (405 bytes, text/plain)
2013-10-10 04:56 EDT, A.J. Werkman
no flags Details
File: lsblk_output (1.82 KB, text/plain)
2013-10-10 04:56 EDT, A.J. Werkman
no flags Details
File: nmcli_dev_list (5.60 KB, text/plain)
2013-10-10 04:56 EDT, A.J. Werkman
no flags Details
File: os_info (291 bytes, text/plain)
2013-10-10 04:56 EDT, A.J. Werkman
no flags Details
File: program.log (34.35 KB, text/plain)
2013-10-10 04:56 EDT, A.J. Werkman
no flags Details
File: storage.log (138.51 KB, text/plain)
2013-10-10 04:56 EDT, A.J. Werkman
no flags Details
File: syslog (107.68 KB, text/plain)
2013-10-10 04:56 EDT, A.J. Werkman
no flags Details
File: ifcfg.log (2.10 KB, text/plain)
2013-10-10 04:56 EDT, A.J. Werkman
no flags Details
File: packaging.log (43.96 KB, text/plain)
2013-10-10 04:56 EDT, A.J. Werkman
no flags Details

  None (edit)
Description A.J. Werkman 2013-10-10 04:55:53 EDT
Version-Release number of selected component:
anaconda-20.22-1

The following was filed automatically by anaconda:
anaconda 20.22-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/pykickstart/commands/method.py", line 62, in __getattr__
    return object.__getattribute__(self, name)
  File "/usr/lib/python2.7/site-packages/pykickstart/commands/method.py", line 111, in __getattr__
    return FC3_Method.__getattr__(self, name)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/source.py", line 806, in on_proxy_clicked
    self._proxyChange = old_proxy != self.data.method.proxy
AttributeError: 'F19_Method' object has no attribute 'proxy'

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz inst.stage2=hd:UUID=3cd4da1d-ffdf-4320-afb0-b375dc0d0fb8
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.11.3-301.fc20.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        20-Beta-TC2
Comment 1 A.J. Werkman 2013-10-10 04:56:00 EDT
Created attachment 810393 [details]
File: anaconda-tb
Comment 2 A.J. Werkman 2013-10-10 04:56:06 EDT
Created attachment 810394 [details]
File: anaconda.log
Comment 3 A.J. Werkman 2013-10-10 04:56:10 EDT
Created attachment 810395 [details]
File: environ
Comment 4 A.J. Werkman 2013-10-10 04:56:15 EDT
Created attachment 810396 [details]
File: lsblk_output
Comment 5 A.J. Werkman 2013-10-10 04:56:20 EDT
Created attachment 810397 [details]
File: nmcli_dev_list
Comment 6 A.J. Werkman 2013-10-10 04:56:25 EDT
Created attachment 810398 [details]
File: os_info
Comment 7 A.J. Werkman 2013-10-10 04:56:30 EDT
Created attachment 810399 [details]
File: program.log
Comment 8 A.J. Werkman 2013-10-10 04:56:34 EDT
Created attachment 810400 [details]
File: storage.log
Comment 9 A.J. Werkman 2013-10-10 04:56:39 EDT
Created attachment 810401 [details]
File: syslog
Comment 10 A.J. Werkman 2013-10-10 04:56:44 EDT
Created attachment 810402 [details]
File: ifcfg.log
Comment 11 A.J. Werkman 2013-10-10 04:56:49 EDT
Created attachment 810403 [details]
File: packaging.log
Comment 12 David Shea 2013-10-10 11:47:31 EDT
Can you provide steps to reproduce this?
Comment 13 A.J. Werkman 2013-10-10 13:41:30 EDT
From behind a firewall I booted into anaconda central pane.
Obviously anaconda could not find mirror.
Went to "installation source".
'on network: Closest mirror' was selected.
I selected 'Proxy setup...', checked 'Enable HTTP Proxy',  filed in a proxy address.
When selecting the Add button, the exception comes up immediatly.
Comment 14 Fedora Update System 2013-10-11 18:06:22 EDT
anaconda-20.25-1.fc20, python-blivet-0.23-1.fc20, pykickstart-1.99.42-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2013-18731/python-blivet-0.23-1.fc20,pykickstart-1.99.42-1.fc20,anaconda-20.25-1.fc20
Comment 15 Fedora Update System 2013-10-11 22:27:27 EDT
Package anaconda-20.25-1.fc20, python-blivet-0.23-1.fc20, pykickstart-1.99.42-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-20.25-1.fc20 python-blivet-0.23-1.fc20 pykickstart-1.99.42-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18731/python-blivet-0.23-1.fc20,pykickstart-1.99.42-1.fc20,anaconda-20.25-1.fc20
then log in and leave karma (feedback).
Comment 16 Fedora Update System 2013-10-15 02:35:11 EDT
anaconda-20.25-1.fc20, python-blivet-0.23-1.fc20, pykickstart-1.99.42-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.